%define major 4
%define libname %mklibname gif %major
%define develname %mklibname -d gif

Name:		giflib
Version:	4.2.3
Release:	%mkrel 1
URL:		http://giflib.sourceforge.net/
Summary:	Library for reading and writing gif images
License:	BSD like
Source:		%{name}-%{version}.tar.xz
Patch0:		giflib-4.1.6-fix-string-format.patch
Patch1:		giflib-4.1.6-fix-link.patch
Patch2:		giflib-4.2.3-export-again-QuantizeBuffer.patch
Patch3:		giflib-4.2.1-automake-1.13.patch
BuildRequires:	libx11-devel
BuildRequires:	xmlto
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package progs
Summary:	Gif tools based on giflib
Group:		Graphics
Provides:   	libungif-progs = %version-%release
Obsoletes:	libungif-progs < %version-%release

%description progs
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This package provides some gif tools based on giflib.

%package -n %libname
Group:	System/Libraries
Summary: Library for reading and writing gif images
Provides:   %{_lib}ungif4 = %version-%release
Provides:   %{_lib}ungif = %version-%release
Obsoletes:  %{_lib}ungif4 < %version-%release

%description -n %libname
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

%package -n %develname
Group:		Development/Libraries
Summary:	Development files for giflib
Requires:	%libname = %version-%release
Provides:	giflib-devel = %{version}-%{release}
Provides:   %{_lib}ungif4-devel = %version-%release
Provides:   %{_lib}ungif-devel = %version-%release
Provides:   libungif-devel = %version-%release
Provides:   ungif-devel = %version-%release
Provides:   %{_lib}ungif4-static-devel = %version-%release
Provides:   %{_lib}ungif-static-devel = %version-%release
Obsoletes: %{_lib}ungif4-devel < %version-%release
Obsoletes: %{_lib}ungif4-static-devel < %version-%release

%description -n %develname
giflib is a library for reading and writing gif images. It is API and
ABI compatible with libungif which was in wide use while the LZW
compression algorithm was patented.

This packages provides the developement files for giflib.

%prep
%setup -q
#%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
autoreconf -fi
%configure2_5x --disable-static
%make

# Handling of libungif compatibility
MAJOR=`echo '%{version}' | sed -e 's/\([0-9]\+\)\..*/\1/'`
%ifarch %{ix86}
i586-mandriva-linux-gnu-gcc %ldflags %optflags -shared -Wl,-soname,libungif.so.$MAJOR -Llib/.libs -lgif -o libungif.so.%{version}
%else
x86_64-mandriva-linux-gnu-gcc %ldflags %optflags -shared -Wl,-soname,libungif.so.$MAJOR -Llib/.libs -lgif -o libungif.so.%{version}
%endif

%clean
%{__rm} -Rf %{buildroot}

%install
%{__rm} -Rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# Handling of libungif compatibility
install -p -m 755 libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}
ln -sf libungif.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libungif.so.4
ln -sf libungif.so.4 $RPM_BUILD_ROOT%{_libdir}/libungif.so

%files progs
%{_bindir}/gif2x11
%{_bindir}/gif2rgb
%{_bindir}/gifasm
%{_bindir}/gifbg
%{_bindir}/gifburst
%{_bindir}/gifclip
%{_bindir}/gifclrmp
%{_bindir}/gifcolor
%{_bindir}/gifcomb
%{_bindir}/gifcompose
%{_bindir}/giffiltr
%{_bindir}/giffix
%{_bindir}/gifflip
%{_bindir}/gifhisto
%{_bindir}/gifinfo
%{_bindir}/gifinter
%{_bindir}/gifinto
%{_bindir}/gifovly
%{_bindir}/gifpos
%{_bindir}/gifrotat
%{_bindir}/gifrsize
%{_bindir}/gifspnge
%{_bindir}/giftext
%{_bindir}/gifwedge
%{_bindir}/icon2gif
%{_bindir}/raw2gif
%{_bindir}/rgb2gif
%{_bindir}/text2gif

%files -n %libname
%{_libdir}/libgif.so.%{major}
%{_libdir}/libgif.so.%{major}.*

%{_libdir}/libungif.so.%{major}
%{_libdir}/libungif.so.%{major}.*

%files -n %develname
%{_includedir}/gif_lib.h
%{_libdir}/libgif.so
%{_libdir}/libungif.so


%changelog
* Wed Jun 04 2014 bb <bb> 4.2.3-1pclos2014
- update

* Sat Aug 06 2011 Texstar <texstar at gmail.com> 4.1.6-1pclos2011
- 4.1.6
